certificate check bug in Makefile.common

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



There appears to be a bug in the certificate check in Makefile.common:

$ make new-sources FILES=lirc-0.8.2pre2.tar.bz2
/bin/sh: line 0: [: lirc-0.8.2pre2.tar.bz2: integer expression expected
[...]

The attached patch should fix it.  Also, I wonder if it'd be better to check 
$HOME/.koji/client.crt instead of ~/.fedora.cert?
Index: Makefile.common
===================================================================
RCS file: /cvs/pkgs/common/Makefile.common,v
retrieving revision 1.56
diff -u -r1.56 Makefile.common
--- Makefile.common	18 May 2007 16:23:58 -0000	1.56
+++ Makefile.common	18 May 2007 17:38:09 -0000
@@ -206,7 +206,7 @@
 	@if ! test -f $(HOME)/.fedora.cert ; then echo "ERROR: You need to download your Fedora client certificate" >&2 ; echo "       from https://admin.fedora.redhat.com/accounts/"; >&2; exit 1 ; fi
 	@if [ -x ${OPENSSL} ]; then \
 	    ${OPENSSL} x509 -checkend 6000 -noout -in ${HOME}/.fedora.cert ; \
-	    if [ $? -ne 0 ]; then \
+	    if [ $$? -ne 0 ]; then \
 	        echo "ERROR: Your Fedora client-side certificate expired." >&2 ; \
                 echo "       You need to download a new client-side certificate" >&2 ; \
                 echo "       from https://admin.fedora.redhat.com/accounts/"; >&2 ; \
--
Fedora-maintainers mailing list
Fedora-maintainers@xxxxxxxxxx
https://www.redhat.com/mailman/listinfo/fedora-maintainers
--
Fedora-maintainers-readonly mailing list
Fedora-maintainers-readonly@xxxxxxxxxx
https://www.redhat.com/mailman/listinfo/fedora-maintainers-readonly

[Index of Archives]     [Fedora Users]     [Fedora Development]     [Fedora Devel Java]     [Fedora Legacy]     [Fedora Desktop]     [Fedora SELinux]     [Big List of Linux Books]     [Yosemite News]     [KDE Users]

  Powered by Linux